
#include <QWidget>
#include <QString>
#include <QStringList>
#include <QComboBox>
#include <QGridLayout>

#include "BacReliability.h"
#include "enum.bactypes.h"

BacReliability::BacReliability(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("No Fault") << tr("No Sensor") << tr("Over Range") << tr("Under Range") << tr("Open Loop")
                        << tr("Shorted Loop") << tr("No Output") << tr("Unreliable") << tr("Process Error") << tr("Multistate Fault"), 0);
}

BacReliability::BacReliability(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("No Fault") << tr("No Sensor") << tr("Over Range") << tr("Under Range") << tr("Open Loop")
                        << tr("Shorted Loop") << tr("No Output") << tr("Unreliable") << tr("Process Error") << tr("Multistate Fault"), value);
}

